fs.existsSync() is causing error, not available in node.js 0.6.x #4

Open
eschmitt opened this Issue Aug 29, 2012 · 0 comments

Comments

Projects
None yet
1 participant

running the formful server example in node.js version 0.6.7 results in the following error:

$ node formful/examples/server.js

node.js:201
        throw e; // process.nextTick error, or 'error' event on first tick
              ^
TypeError: Object #<Object> has no method 'existsSync'
    at [object Object]._loadSync (/Users/ericschmitt/projects/formful/node_modules/viewful/lib/View.js:119:10)
    at [object Object].load (/Users/ericschmitt/projects/formful/node_modules/viewful/lib/View.js:85:17)
    at Object.<anonymous> (/Users/ericschmitt/projects/formful/lib/formful.js:17:6)
    at Module._compile (module.js:432:26)
    at Object..js (module.js:450:10)
    at Module.load (module.js:351:31)
    at Function._load (module.js:310:12)
    at Module.require (module.js:357:17)
    at require (module.js:368:17)
    at Object.<anonymous> (/Users/ericschmitt/projects/formful/examples/server.js:1:81)

It looks like fs.existsSync wasn't available in Node.js 0.6.x. However, Formful's package file lists the compatible Node.js versions as 0.6.x.

I'm guessing the package.json file should be updated to read as follows:

"engines": {
  "node": "*"
}
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment